Opened 4 years ago

Closed 4 years ago

#11293 closed enhancement (fixed)

feh-2.28.1

Reported by: Bruce Dubbs Owned by: Bruce Dubbs
Priority: normal Milestone: 8.4
Component: BOOK Version: SVN
Severity: normal Keywords:
Cc:

Description

New point version.

Change History (3)

comment:1 by Bruce Dubbs, 4 years ago

Owner: changed from blfs-book to Bruce Dubbs
Status: newassigned

comment:2 by Bruce Dubbs, 4 years ago

Wed, 21 Nov 2018 19:37:34

  • Release v3.1
    • Running "feh --start-at .../file.jpg" without specifying images, directories or filelists to load is now equivalent to running "feh --start-at .../file.jpg $(dirname .../file.jpg)". This way, it is possible to view a specific file and browse all other files in the corresponding directory. This is especially useful when starting feh from file managers.
    • Introduce fuzzy matching in --start-at: If the specified path is not found in the file list, feh now resorts to comparing basenames (i.e., file names without the directory components). This allows calls like "feh --start-at cat.jpg ~/Pictures", which led to a file not found error in previous versions.
    • Respect -j / --output-dir when using save_image or save_filelist actions.

Fri, 09 Nov 2018 17:17:15

  • Release v3.0
    • Remove deprecated webcam scripts (feh-cam and gen-cam-menu)
    • Remove deprecated collage mode (-c/--collage)
    • Remove deprecated option --cycle-once (use --on-last-slide=quit instead)
    • Remove deprecated option --menu-bg
    • Change default save_filelist key from "f" to "L" (mnemonic: fileList)
    • Change default toggle_fullscreen key from "v" to "f" as this is also used by mplayer, mpv and similar
    • flip and rotation (keys "<", ">", "|", and "_") no longer change the underlying file. This leaves delete ("Ctrl+Delete") as the only destructive action which is enabled by default
    • Add option --edit, which makes flip and rotation change the underlying file as well as the displayed image. This was the default behaviour in feh 1.x and 2.x

Sat, 27 Oct 2018 19:46:48

  • Release v2.28.1
    • Do not ignore quit signals (SIGTERM, SIGINT, SIGQUIT) during preload
    • Add missing EXIF orientations 2, 4, 5, and 7 (when built with exif=1,
    • Improve randomness on non-glibc systems

comment:3 by Bruce Dubbs, 4 years ago

Resolution: fixed
Status: assignedclosed

Fixed at revision 20780.

Note: See TracTickets for help on using tickets.